rte_security_session_conf(3)

NAME
rte_security_session_conf

SYNOPSIS

#include <rte_security.h>

  Data Fields

enum rte_security_session_action_type action_type
enum rte_security_session_protocol protocol
union {
};
struct rte_crypto_sym_xform * crypto_xform
void * userdata

Detailed Description

Security session configuration

Definition at line 773 of file rte_security.h.

Field Documentation

  enum rte_security_session_action_type action_type
Type of action to be performed on the session

Definition at line 774 of file rte_security.h.

  enum rte_security_session_protocol protocol
Security protocol to be configured

Definition at line 776 of file rte_security.h.

  union { ... }
Configuration parameters for security session

  struct rte_crypto_sym_xform* crypto_xform
Security Session Crypto Transformations. NULL in case of MACsec.

Definition at line 786 of file rte_security.h.

  void* userdata
Application specific userdata to be saved with session

Definition at line 788 of file rte_security.h.

Author

Generated automatically by Doxygen for DPDK from the source code.